For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

account transactions

get

https://pro-api.solscan.io/v2.0/account/transactions

Get the list of transactions of an account

QUERY PARAMS

address

string

required

Solana wallet address

before

string

The signature of the latest transaction of previous page

limit

number

Number of items to return

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

slot

number

Slot number of the transaction

fee

number

The fee of the transaction

status

string

The status of the transaction: Success or Fail

signer

array of string

The signers of the transaction

block_time

number

Unix time of the slot

tx_hash

string

The signature of the transaction

type

string

The type of the instruction

program

string

The name of the program

program_id

string

The address of the program

program_ids

array of string

The list of addresses of programs involved in the transaction

time

string

Time of the slot

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples